.multi-select-container {
    display: block;
    position: relative;
}

.multi-select-menu {
    position: absolute;
    left: 0;
    top: 12px;
    z-index: 1;
    width: 100% !important;
    background: #fff;
    margin: 12px 0 0;
    border: 1px solid #c3c3c3;
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.1);
    display: none;
    border-radius: 0 0 28px 28px;
    padding: 24px 28px;
    max-width: 582px;
    box-sizing: border-box;
}

.multi-select-menuitems {
    position: relative;
    max-height: 200px;
    overflow-y: auto;
}

.powermail_form .multi-select-menuitems {
    max-height: 140px;
}

form .multi-select-container input[type="checkbox"] {
    display: inherit;
}

.multi-select-menuitem {
    display: block;
    padding: 10px 16px 6px 24px;
    line-height: 1.5;
}

.multi-select-legend {
    font-size: 0.875em;
    font-weight: bold;
    padding-left: 10px;
}

.multi-select-legend + .multi-select-menuitem {
    padding-top: 0.25rem;
}

.multi-select-menuitem + .multi-select-menuitem {
    padding-top: 0;
}

.multi-select-presets {
    border-bottom: 1px solid #ddd;
}

.multi-select-menuitem input {
    position: absolute;
    margin-top: 0.25em;
    margin-left: -24px;
}

form select[multiple] {
    display: block !important;
    position: absolute;
    visibility: hidden;
    width: 0;
    height: 0;
}

.multi-select-button {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    padding: 1.2rem 1.8rem;
    width: 100%;
    max-width: 582px;
    border: 2px solid var(--red);
    font-weight: 400;
    border-radius: 28px;
    background-color: var(--background-color-1);
    color: var(--grey_medium-dark);
    outline: none;
    font-family: inherit;
    font-size: inherit;
    position: relative;
    z-index: 2;
    padding-right: 42px;
}

.multi-select-button:before,
.multi-select-button:after {
    content: "";
    display: inline-block;
    width: 8px;
    height: 1px;
    background-color: #7f7f7f;
    overflow: hidden;
    position: absolute;
    right: 32px;
    top: 50%;
}

.multi-select-button:before {
    transform: rotate(45deg);
}

.multi-select-button:after {
    transform: rotate(-45deg);
    right: 26px;
}

.multi-select-container--open .multi-select-menu {
    display: block;
}

.multi-select-container--open .multi-select-button:after {
    border-width: 0 0.4em 0.4em 0.4em;
    border-color: transparent transparent #999 transparent;
}

.multi-select-container--positioned .multi-select-menu {
    /* Avoid border/padding on menu messing with JavaScript width calculation */
    box-sizing: border-box;
}

.multi-select-container--positioned .multi-select-menu label {
    /* Allow labels to line wrap when menu is artificially narrowed */
    white-space: normal;
}
